Skip to main content
GET
/
v2
/
taxclasses
/
taxclasseswithtaxrates
Returns a list of all tax classes and their calculated tax rates for the given parameters.
curl --request GET \
  --url https://api.jtl-cloud.com/erp/v2/taxclasses/taxclasseswithtaxrates \
  --header 'Authorization: Bearer <token>' \
  --header 'x-api-key: <api-key>' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>'

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

x-api-key
string
header
required

Optional: If no token is present, the API Gateway injects it.

Headers

api-version
string
x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Query Parameters

companyId
string<uuid>

Gets the unique identifier for the firm. Represents a key for identifying a firm within the application.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

departureCountryIso
string
taxReference
enum<integer>

0 = ShipmentAddress, 1 = BillingAddress

Available options:
0,
1
shipmentAddressVatId
string
shipmentAddressCountryIso
string
shipmentAddressState
string
billingAddressVatId
string
billingAddressCountryIso
string
billingAddressState
string
specialTaxTreatment
enum<integer>

0 = None, 1 = ReverseCharge, 2 = ExemptFromVat, 3 = SubjectToVat

Available options:
0,
1,
2,
3
taxClasses
string<uuid>[]

Response

200 - application/json